<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net10.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
  </PropertyGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\Shared\Knot.Shared.Kernel\Knot.Shared.Kernel.csproj" />
    <ProjectReference Include="..\..\Shared\Knot.Shared.Infrastructure\Knot.Shared.Infrastructure.csproj" />
    <ProjectReference Include="..\..\Contracts\Profiles\Knot.Contracts.Profiles.csproj" />
    <ProjectReference Include="..\..\Contracts\Relations\Knot.Contracts.Relations.csproj" />
    <ProjectReference Include="..\..\Contracts\Auth\Knot.Contracts.Auth.csproj" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="MediatR" Version="12.0.1" />
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="10.0.4" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Relational" Version="10.0.4" />
    <PackageReference Include="MongoDB.Driver" Version="3.2.0" />
    <PackageReference Include="SixLabors.ImageSharp" Version="3.1.12" />
  </ItemGroup>

  <ItemGroup>
    <InternalsVisibleTo Include="DynamicProxyGenAssembly2" />
  </ItemGroup>

</Project>
